Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network40.167.128.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
40.167.128.0
Broadcast address
40.167.255.255
First usable
40.167.128.1
Last usable
40.167.255.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
A (default /8)
As numbers
Hex 28A78000 · Integer 682065920 to 682098687
Reverse DNS zones
128.167.40.in-addr.arpa
129.167.40.in-addr.arpa
130.167.40.in-addr.arpa
131.167.40.in-addr.arpa
132.167.40.in-addr.arpa
133.167.40.in-addr.arpa
134.167.40.in-addr.arpa
135.167.40.in-addr.arpa
136.167.40.in-addr.arpa
137.167.40.in-addr.arpa
138.167.40.in-addr.arpa
139.167.40.in-addr.arpa
140.167.40.in-addr.arpa
141.167.40.in-addr.arpa
142.167.40.in-addr.arpa
143.167.40.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00101000.10100111.10000000.0000000040.167.128.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network00101000.10100111.10000000.0000000040.167.128.0
Broadcast00101000.10100111.11111111.1111111140.167.255.255
Split into smaller subnets/24

40.167.128.0/17 makes 128 subnets of /24.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
140.167.128.0/2440.167.128.1 to 40.167.128.25440.167.128.255254
240.167.129.0/2440.167.129.1 to 40.167.129.25440.167.129.255254
340.167.130.0/2440.167.130.1 to 40.167.130.25440.167.130.255254
440.167.131.0/2440.167.131.1 to 40.167.131.25440.167.131.255254
540.167.132.0/2440.167.132.1 to 40.167.132.25440.167.132.255254
640.167.133.0/2440.167.133.1 to 40.167.133.25440.167.133.255254
740.167.134.0/2440.167.134.1 to 40.167.134.25440.167.134.255254
840.167.135.0/2440.167.135.1 to 40.167.135.25440.167.135.255254
940.167.136.0/2440.167.136.1 to 40.167.136.25440.167.136.255254
1040.167.137.0/2440.167.137.1 to 40.167.137.25440.167.137.255254
1140.167.138.0/2440.167.138.1 to 40.167.138.25440.167.138.255254
1240.167.139.0/2440.167.139.1 to 40.167.139.25440.167.139.255254
1340.167.140.0/2440.167.140.1 to 40.167.140.25440.167.140.255254
1440.167.141.0/2440.167.141.1 to 40.167.141.25440.167.141.255254
1540.167.142.0/2440.167.142.1 to 40.167.142.25440.167.142.255254
1640.167.143.0/2440.167.143.1 to 40.167.143.25440.167.143.255254
1740.167.144.0/2440.167.144.1 to 40.167.144.25440.167.144.255254
1840.167.145.0/2440.167.145.1 to 40.167.145.25440.167.145.255254
1940.167.146.0/2440.167.146.1 to 40.167.146.25440.167.146.255254
2040.167.147.0/2440.167.147.1 to 40.167.147.25440.167.147.255254
2140.167.148.0/2440.167.148.1 to 40.167.148.25440.167.148.255254
2240.167.149.0/2440.167.149.1 to 40.167.149.25440.167.149.255254
2340.167.150.0/2440.167.150.1 to 40.167.150.25440.167.150.255254
2440.167.151.0/2440.167.151.1 to 40.167.151.25440.167.151.255254
2540.167.152.0/2440.167.152.1 to 40.167.152.25440.167.152.255254
2640.167.153.0/2440.167.153.1 to 40.167.153.25440.167.153.255254
2740.167.154.0/2440.167.154.1 to 40.167.154.25440.167.154.255254
2840.167.155.0/2440.167.155.1 to 40.167.155.25440.167.155.255254
2940.167.156.0/2440.167.156.1 to 40.167.156.25440.167.156.255254
3040.167.157.0/2440.167.157.1 to 40.167.157.25440.167.157.255254
3140.167.158.0/2440.167.158.1 to 40.167.158.25440.167.158.255254
3240.167.159.0/2440.167.159.1 to 40.167.159.25440.167.159.255254
3340.167.160.0/2440.167.160.1 to 40.167.160.25440.167.160.255254
3440.167.161.0/2440.167.161.1 to 40.167.161.25440.167.161.255254
3540.167.162.0/2440.167.162.1 to 40.167.162.25440.167.162.255254
3640.167.163.0/2440.167.163.1 to 40.167.163.25440.167.163.255254
3740.167.164.0/2440.167.164.1 to 40.167.164.25440.167.164.255254
3840.167.165.0/2440.167.165.1 to 40.167.165.25440.167.165.255254
3940.167.166.0/2440.167.166.1 to 40.167.166.25440.167.166.255254
4040.167.167.0/2440.167.167.1 to 40.167.167.25440.167.167.255254
4140.167.168.0/2440.167.168.1 to 40.167.168.25440.167.168.255254
4240.167.169.0/2440.167.169.1 to 40.167.169.25440.167.169.255254
4340.167.170.0/2440.167.170.1 to 40.167.170.25440.167.170.255254
4440.167.171.0/2440.167.171.1 to 40.167.171.25440.167.171.255254
4540.167.172.0/2440.167.172.1 to 40.167.172.25440.167.172.255254
4640.167.173.0/2440.167.173.1 to 40.167.173.25440.167.173.255254
4740.167.174.0/2440.167.174.1 to 40.167.174.25440.167.174.255254
4840.167.175.0/2440.167.175.1 to 40.167.175.25440.167.175.255254
4940.167.176.0/2440.167.176.1 to 40.167.176.25440.167.176.255254
5040.167.177.0/2440.167.177.1 to 40.167.177.25440.167.177.255254
5140.167.178.0/2440.167.178.1 to 40.167.178.25440.167.178.255254
5240.167.179.0/2440.167.179.1 to 40.167.179.25440.167.179.255254
5340.167.180.0/2440.167.180.1 to 40.167.180.25440.167.180.255254
5440.167.181.0/2440.167.181.1 to 40.167.181.25440.167.181.255254
5540.167.182.0/2440.167.182.1 to 40.167.182.25440.167.182.255254
5640.167.183.0/2440.167.183.1 to 40.167.183.25440.167.183.255254
5740.167.184.0/2440.167.184.1 to 40.167.184.25440.167.184.255254
5840.167.185.0/2440.167.185.1 to 40.167.185.25440.167.185.255254
5940.167.186.0/2440.167.186.1 to 40.167.186.25440.167.186.255254
6040.167.187.0/2440.167.187.1 to 40.167.187.25440.167.187.255254
6140.167.188.0/2440.167.188.1 to 40.167.188.25440.167.188.255254
6240.167.189.0/2440.167.189.1 to 40.167.189.25440.167.189.255254
6340.167.190.0/2440.167.190.1 to 40.167.190.25440.167.190.255254
6440.167.191.0/2440.167.191.1 to 40.167.191.25440.167.191.255254
6540.167.192.0/2440.167.192.1 to 40.167.192.25440.167.192.255254
6640.167.193.0/2440.167.193.1 to 40.167.193.25440.167.193.255254
6740.167.194.0/2440.167.194.1 to 40.167.194.25440.167.194.255254
6840.167.195.0/2440.167.195.1 to 40.167.195.25440.167.195.255254
6940.167.196.0/2440.167.196.1 to 40.167.196.25440.167.196.255254
7040.167.197.0/2440.167.197.1 to 40.167.197.25440.167.197.255254
7140.167.198.0/2440.167.198.1 to 40.167.198.25440.167.198.255254
7240.167.199.0/2440.167.199.1 to 40.167.199.25440.167.199.255254
7340.167.200.0/2440.167.200.1 to 40.167.200.25440.167.200.255254
7440.167.201.0/2440.167.201.1 to 40.167.201.25440.167.201.255254
7540.167.202.0/2440.167.202.1 to 40.167.202.25440.167.202.255254
7640.167.203.0/2440.167.203.1 to 40.167.203.25440.167.203.255254
7740.167.204.0/2440.167.204.1 to 40.167.204.25440.167.204.255254
7840.167.205.0/2440.167.205.1 to 40.167.205.25440.167.205.255254
7940.167.206.0/2440.167.206.1 to 40.167.206.25440.167.206.255254
8040.167.207.0/2440.167.207.1 to 40.167.207.25440.167.207.255254
8140.167.208.0/2440.167.208.1 to 40.167.208.25440.167.208.255254
8240.167.209.0/2440.167.209.1 to 40.167.209.25440.167.209.255254
8340.167.210.0/2440.167.210.1 to 40.167.210.25440.167.210.255254
8440.167.211.0/2440.167.211.1 to 40.167.211.25440.167.211.255254
8540.167.212.0/2440.167.212.1 to 40.167.212.25440.167.212.255254
8640.167.213.0/2440.167.213.1 to 40.167.213.25440.167.213.255254
8740.167.214.0/2440.167.214.1 to 40.167.214.25440.167.214.255254
8840.167.215.0/2440.167.215.1 to 40.167.215.25440.167.215.255254
8940.167.216.0/2440.167.216.1 to 40.167.216.25440.167.216.255254
9040.167.217.0/2440.167.217.1 to 40.167.217.25440.167.217.255254
9140.167.218.0/2440.167.218.1 to 40.167.218.25440.167.218.255254
9240.167.219.0/2440.167.219.1 to 40.167.219.25440.167.219.255254
9340.167.220.0/2440.167.220.1 to 40.167.220.25440.167.220.255254
9440.167.221.0/2440.167.221.1 to 40.167.221.25440.167.221.255254
9540.167.222.0/2440.167.222.1 to 40.167.222.25440.167.222.255254
9640.167.223.0/2440.167.223.1 to 40.167.223.25440.167.223.255254
9740.167.224.0/2440.167.224.1 to 40.167.224.25440.167.224.255254
9840.167.225.0/2440.167.225.1 to 40.167.225.25440.167.225.255254
9940.167.226.0/2440.167.226.1 to 40.167.226.25440.167.226.255254
10040.167.227.0/2440.167.227.1 to 40.167.227.25440.167.227.255254
10140.167.228.0/2440.167.228.1 to 40.167.228.25440.167.228.255254
10240.167.229.0/2440.167.229.1 to 40.167.229.25440.167.229.255254
10340.167.230.0/2440.167.230.1 to 40.167.230.25440.167.230.255254
10440.167.231.0/2440.167.231.1 to 40.167.231.25440.167.231.255254
10540.167.232.0/2440.167.232.1 to 40.167.232.25440.167.232.255254
10640.167.233.0/2440.167.233.1 to 40.167.233.25440.167.233.255254
10740.167.234.0/2440.167.234.1 to 40.167.234.25440.167.234.255254
10840.167.235.0/2440.167.235.1 to 40.167.235.25440.167.235.255254
10940.167.236.0/2440.167.236.1 to 40.167.236.25440.167.236.255254
11040.167.237.0/2440.167.237.1 to 40.167.237.25440.167.237.255254
11140.167.238.0/2440.167.238.1 to 40.167.238.25440.167.238.255254
11240.167.239.0/2440.167.239.1 to 40.167.239.25440.167.239.255254
11340.167.240.0/2440.167.240.1 to 40.167.240.25440.167.240.255254
11440.167.241.0/2440.167.241.1 to 40.167.241.25440.167.241.255254
11540.167.242.0/2440.167.242.1 to 40.167.242.25440.167.242.255254
11640.167.243.0/2440.167.243.1 to 40.167.243.25440.167.243.255254
11740.167.244.0/2440.167.244.1 to 40.167.244.25440.167.244.255254
11840.167.245.0/2440.167.245.1 to 40.167.245.25440.167.245.255254
11940.167.246.0/2440.167.246.1 to 40.167.246.25440.167.246.255254
12040.167.247.0/2440.167.247.1 to 40.167.247.25440.167.247.255254
12140.167.248.0/2440.167.248.1 to 40.167.248.25440.167.248.255254
12240.167.249.0/2440.167.249.1 to 40.167.249.25440.167.249.255254
12340.167.250.0/2440.167.250.1 to 40.167.250.25440.167.250.255254
12440.167.251.0/2440.167.251.1 to 40.167.251.25440.167.251.255254
12540.167.252.0/2440.167.252.1 to 40.167.252.25440.167.252.255254
12640.167.253.0/2440.167.253.1 to 40.167.253.25440.167.253.255254
12740.167.254.0/2440.167.254.1 to 40.167.254.25440.167.254.255254
12840.167.255.0/2440.167.255.1 to 40.167.255.25440.167.255.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses